RealmBase.AllRolesMode (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.realm

## Class RealmBase.AllRolesMode

- java.lang.Object
- - org.apache.catalina.realm.RealmBase.AllRolesMode

- Enclosing class:
    RealmBase

      protected static class RealmBase.AllRolesMode
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RealmBase.AllRolesMode` | `AUTH_ONLY_MODE` Allow any authenticated user
    `static RealmBase.AllRolesMode` | `STRICT_AUTH_ONLY_MODE` Allow any authenticated user only if there are no web-app/security-roles
    `static RealmBase.AllRolesMode` | `STRICT_MODE` Use the strict servlet spec interpretation which requires that the user have one of the web-app/security-role/role-name

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STRICT_MODE

          public static final RealmBase.AllRolesMode STRICT_MODE

      Use the strict servlet spec interpretation which requires that the user have one of the web-app/security-role/role-name

    - #### AUTH_ONLY_MODE

          public static final RealmBase.AllRolesMode AUTH_ONLY_MODE

      Allow any authenticated user

    - #### STRICT_AUTH_ONLY_MODE

          public static final RealmBase.AllRolesMode STRICT_AUTH_ONLY_MODE

      Allow any authenticated user only if there are no web-app/security-roles

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.